Package org.apache.sling.jcr.base.internal.mount

## Class ProxyWorkspace<T extends javax.jcr.Workspace>

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>
  - - org.apache.sling.jcr.base.internal.mount.ProxyWorkspace<T>

All Implemented Interfaces:
  `javax.jcr.Workspace`

Direct Known Subclasses:
  `ProxyJackrabbitWorkspace`

    public class ProxyWorkspace<T extends javax.jcr.Workspace>
    extends ProxyWrapper<T>
    implements javax.jcr.Workspace

### Field Summary

### Fields inherited from interface javax.jcr.Workspace

`NAME_ACTIVITIES_NODE, NAME_CONFIGURATIONS_NODE, NAME_JCR_XMLCHARACTERS, NAME_JCR_XMLTEXT, NAME_NODE_TYPES_NODE, NAME_SYSTEM_NODE, NAME_UNFILED_NODE, NAME_VERSION_STORAGE_NODE, NAME_WORKSPACE_ROOT, PATH_ACTIVITIES_NODE, PATH_CONFIGURATIONS_NODE, PATH_NODE_TYPES_NODE, PATH_SYSTEM_NODE, PATH_UNFILED_NODE, PATH_VERSION_STORAGE_NODE, PATH_WORKSPACE_ROOT, RELPATH_JCR_XMLCHARACTERS`

### Constructor Summary

Constructors
`ProxyWorkspace​(ProxySession mountSession, T delegate, T delegate2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clone​(String srcWorkspace, String srcAbsPath, String destAbsPath, boolean removeExisting)`
`void` `copy​(String srcAbsPath, String destAbsPath)`
`void` `copy​(String srcWorkspace, String srcAbsPath, String destAbsPath)`
`void` `createWorkspace​(String name)`
`void` `createWorkspace​(String name, String srcWorkspace)`
`void` `deleteWorkspace​(String name)`
`String[]` `getAccessibleWorkspaceNames()`
`ContentHandler` `getImportContentHandler​(String parentAbsPath, int uuidBehavior)`
`javax.jcr.lock.LockManager` `getLockManager()`
`String` `getName()`
`javax.jcr.NamespaceRegistry` `getNamespaceRegistry()`
`javax.jcr.nodetype.NodeTypeManager` `getNodeTypeManager()`
`javax.jcr.observation.ObservationManager` `getObservationManager()`
`javax.jcr.query.QueryManager` `getQueryManager()`
`javax.jcr.Session` `getSession()`
`javax.jcr.version.VersionManager` `getVersionManager()`
`void` `importXML​(String parentAbsPath, InputStream in, int uuidBehavior)`
`void` `move​(String srcAbsPath, String destAbsPath)`
`void` `restore​(javax.jcr.version.Version[] versions, boolean removeExisting)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyWorkspace

    public ProxyWorkspace​(ProxySession mountSession,
                          T delegate,
                          T delegate2)

### Method Detail

#### getSession

    public javax.jcr.Session getSession()

Specified by:
  `getSession` in interface `javax.jcr.Workspace`

#### getName

    public String getName()

Specified by:
  `getName` in interface `javax.jcr.Workspace`

#### getQueryManager

    public javax.jcr.query.QueryManager getQueryManager()
                                                 throws javax.jcr.RepositoryException

Specified by:
  `getQueryManager` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.RepositoryException`

#### getImportContentHandler

    public ContentHandler getImportContentHandler​(String parentAbsPath,
                                                  int uuidBehavior)
                                           throws javax.jcr.PathNotFoundException,
                                                  javax.jcr.nodetype.ConstraintViolationException,
                                                  javax.jcr.version.VersionException,
                                                  javax.jcr.lock.LockException,
                                                  javax.jcr.AccessDeniedException,
                                                  javax.jcr.RepositoryException

Specified by:
  `getImportContentHandler` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### importXML

    public void importXML​(String parentAbsPath,
                          InputStream in,
                          int uuidBehavior)
                   throws IOException,
                          javax.jcr.version.VersionException,
                          javax.jcr.PathNotFoundException,
                          javax.jcr.ItemExistsException,
                          javax.jcr.nodetype.ConstraintViolationException,
                          javax.jcr.InvalidSerializedDataException,
                          javax.jcr.lock.LockException,
                          javax.jcr.AccessDeniedException,
                          javax.jcr.RepositoryException

Specified by:
  `importXML` in interface `javax.jcr.Workspace`
Throws:
  `IOException`
  `javax.jcr.version.VersionException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.InvalidSerializedDataException`
  `javax.jcr.lock.LockException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### copy

    public void copy​(String srcAbsPath,
                     String destAbsPath)
              throws javax.jcr.nodetype.ConstraintViolationException,
                     javax.jcr.version.VersionException,
                     javax.jcr.AccessDeniedException,
                     javax.jcr.PathNotFoundException,
                     javax.jcr.ItemExistsException,
                     javax.jcr.lock.LockException,
                     javax.jcr.RepositoryException

Specified by:
  `copy` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.version.VersionException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### copy

    public void copy​(String srcWorkspace,
                     String srcAbsPath,
                     String destAbsPath)
              throws javax.jcr.NoSuchWorkspaceException,
                     javax.jcr.nodetype.ConstraintViolationException,
                     javax.jcr.version.VersionException,
                     javax.jcr.AccessDeniedException,
                     javax.jcr.PathNotFoundException,
                     javax.jcr.ItemExistsException,
                     javax.jcr.lock.LockException,
                     javax.jcr.RepositoryException

Specified by:
  `copy` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.NoSuchWorkspaceException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.version.VersionException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### clone

    public void clone​(String srcWorkspace,
                      String srcAbsPath,
                      String destAbsPath,
                      boolean removeExisting)
               throws javax.jcr.NoSuchWorkspaceException,
                      javax.jcr.nodetype.ConstraintViolationException,
                      javax.jcr.version.VersionException,
                      javax.jcr.AccessDeniedException,
                      javax.jcr.PathNotFoundException,
                      javax.jcr.ItemExistsException,
                      javax.jcr.lock.LockException,
                      javax.jcr.RepositoryException

Specified by:
  `clone` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.NoSuchWorkspaceException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.version.VersionException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### move

    public void move​(String srcAbsPath,
                     String destAbsPath)
              throws javax.jcr.nodetype.ConstraintViolationException,
                     javax.jcr.version.VersionException,
                     javax.jcr.AccessDeniedException,
                     javax.jcr.PathNotFoundException,
                     javax.jcr.ItemExistsException,
                     javax.jcr.lock.LockException,
                     javax.jcr.RepositoryException

Specified by:
  `move` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.version.VersionException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### restore

    public void restore​(javax.jcr.version.Version[] versions,
                        boolean removeExisting)
                 throws javax.jcr.ItemExistsException,
                        javax.jcr.UnsupportedRepositoryOperationException,
                        javax.jcr.version.VersionException,
                        javax.jcr.lock.LockException,
                        javax.jcr.InvalidItemStateException,
                        javax.jcr.RepositoryException

Specified by:
  `restore` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.ItemExistsException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### createWorkspace

    public void createWorkspace​(String name)
                         throws javax.jcr.AccessDeniedException,
                                javax.jcr.UnsupportedRepositoryOperationException,
                                javax.jcr.RepositoryException

Specified by:
  `createWorkspace` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### createWorkspace

    public void createWorkspace​(String name,
                                String srcWorkspace)
                         throws javax.jcr.AccessDeniedException,
                                javax.jcr.UnsupportedRepositoryOperationException,
                                javax.jcr.NoSuchWorkspaceException,
                                javax.jcr.RepositoryException

Specified by:
  `createWorkspace` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.NoSuchWorkspaceException`
  `javax.jcr.RepositoryException`

#### deleteWorkspace

    public void deleteWorkspace​(String name)
                         throws javax.jcr.AccessDeniedException,
                                javax.jcr.UnsupportedRepositoryOperationException,
                                javax.jcr.NoSuchWorkspaceException,
                                javax.jcr.RepositoryException

Specified by:
  `deleteWorkspace` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.NoSuchWorkspaceException`
  `javax.jcr.RepositoryException`

#### getLockManager

    public javax.jcr.lock.LockManager getLockManager()
                                              throws javax.jcr.UnsupportedRepositoryOperationException,
                                                     javax.jcr.RepositoryException

Specified by:
  `getLockManager` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getNamespaceRegistry

    public javax.jcr.NamespaceRegistry getNamespaceRegistry()
                                                     throws javax.jcr.RepositoryException

Specified by:
  `getNamespaceRegistry` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.RepositoryException`

#### getNodeTypeManager

    public javax.jcr.nodetype.NodeTypeManager getNodeTypeManager()
                                                          throws javax.jcr.RepositoryException

Specified by:
  `getNodeTypeManager` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.RepositoryException`

#### getObservationManager

    public javax.jcr.observation.ObservationManager getObservationManager()
                                                                   throws javax.jcr.UnsupportedRepositoryOperationException,
                                                                          javax.jcr.RepositoryException

Specified by:
  `getObservationManager` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getVersionManager

    public javax.jcr.version.VersionManager getVersionManager()
                                                       throws javax.jcr.UnsupportedRepositoryOperationException,
                                                              javax.jcr.RepositoryException

Specified by:
  `getVersionManager` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getAccessibleWorkspaceNames

    public String[] getAccessibleWorkspaceNames()
                                         throws javax.jcr.RepositoryException

Specified by:
  `getAccessibleWorkspaceNames` in interface `javax.jcr.Workspace`
Throws:
  `javax.jcr.RepositoryException`